import request from '../../service/request';
/* 查询登录用户就诊卡列表 */

export const getLoginUserCardList = () => {
  const url = '/isvRequest.medicCard.myCardList';
  return request.post(url);
};
/* 获取就诊人列表 */

export const getPatientList = params => {
  const url = '/isvRequest.patient.queryList';
  return request.post(url, params);
};
/* 添加就诊人 */

export const createPatient = params => {
  const url = '/isvRequest.patient.add';
  return request.post(url, params);
};
/* 编辑就诊人 */

export const patientUpdate = params => {
  const url = '/isvRequest.patient.update';
  return request.post(url, params);
};
/* 添加就诊卡 */

export const createCard = params => {
  const url = '/isvRequest.medicCard.createOrBind';
  return request.post(url, params);
};
/* 编辑就诊卡 */

export const editCard = params => {
  const url = '/isvRequest.medicCard.update';
  return request.post(url, params);
};